MAC出现“无法使用此Apple ID进行更新”的解决办法

今天在使用AppStore进行更新的时候报错了如下错误:

AppleID无法使用

点击一下之后出现

AppleID无法使用

解决办法

如果你仔细观察之后会发现,不能更新的是Xcode,终于找到原因了,因为我的Xcode是从别人那里拷来的,而不是自己从AppStore下载的,所以会报错。只需要重新从AppStore下载Xcode就可以更新了,不过我觉得这个方法还是挺蛋疼的,但是没有找到其他的办法。

虽然不知道你们的问题是不是由于Xcode造成的,但是我估计也是因为软件是从别人那里拷的缘故,大家也可以试试该方法。